Bug 192199 - deskutils/cdcat: Fix build
Summary: deskutils/cdcat: Fix build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-28 18:31 UTC by tkato432
Modified: 2014-07-30 07:19 UTC (History)
1 user (show)

See Also:


Attachments
deskutils_cdcat.diff (2.71 KB, patch)
2014-07-28 18:31 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-07-28 18:31:34 UTC
Created attachment 145086 [details]
deskutils_cdcat.diff
Comment 1 John Marino freebsd_committer 2014-07-28 23:12:58 UTC
This is not passing completely on Redports:

https://redports.org/buildarchive/20140728223442-87577/

FreeBSD 10/i386 and 11/i386 are failing.

FreeBSD amd64 is passing (all 4) and FreeBSD 8/i386 and FreeBSD 9/i386 is passing


If the i386 can't be fixed on the current FreeBSD, we should set ONLY_FOR_ARCH or something I guess...
Comment 2 tkato432 2014-07-29 14:30:13 UTC
It seems to be well-known problem of cryptopp and the solution has
already made at NetBSD pkgsrc.

I confirmed building this port correctly on 10.0/i386 by obtaining the
patch for cryptopp package (not this one) and simply copy it into
security/cryptopp/files.

http://cvsweb.netbsd.org/bsdweb.cgi/~checkout~/pkgsrc/security/crypto++/patches/patch-config.h?rev=1.1&content-type=text/plain
Comment 3 John Marino freebsd_committer 2014-07-30 05:37:40 UTC
I can't imagine that delphij@ would object to this patch on security/cryptopp

I even found where NetBSD was discussing it.
http://gnats.netbsd.org/cgi-bin/query-pr-single.pl?number=48134

The patch applies fine, I'm going to build it in poudriere and then commit an update to crypto++ first.  Who knows, it might fix other ports too.
Comment 4 Xin LI freebsd_committer 2014-07-30 06:19:34 UTC
(In reply to John Marino from comment #3)
> I can't imagine that delphij@ would object to this patch on security/cryptopp
> 
> I even found where NetBSD was discussing it.
> http://gnats.netbsd.org/cgi-bin/query-pr-single.pl?number=48134
> 
> The patch applies fine, I'm going to build it in poudriere and then commit
> an update to crypto++ first.  Who knows, it might fix other ports too.

I think it's good but since you are already on it, please test and commit if it worked.

(Can you also drop the author http://www.ibiblio.org/weidai/mailme.php a line about the fix so we can forget about it in the future?)
Comment 5 John Marino freebsd_committer 2014-07-30 06:59:18 UTC
(In reply to Xin LI from comment #4)
> I think it's good but since you are already on it, please test and commit if
> it worked.

It builds fine in poudriere and with the patch, FreeBSD 10/i386 and FreeBSD 11/i386 builds of cdcat succeeds, so the patch looks good.


> (Can you also drop the author http://www.ibiblio.org/weidai/mailme.php a
> line about the fix so we can forget about it in the future?)

I can send him a quick message, sure.  Hopefully he/she already knows about it from pkgsrc.
Comment 6 commit-hook freebsd_committer 2014-07-30 07:07:44 UTC
A commit references this bug:

Author: marino
Date: Wed Jul 30 07:07:17 UTC 2014
New revision: 363448
URL: http://svnweb.freebsd.org/changeset/ports/363448

Log:
  security/cryptopp: Add patch from pkgsrc

  The definition of CRYPTOPP_BOOL_ALIGN16_ENABLED was incorrect for i386.
  For NetBSD, this resulted in the inability to build cryptopp on i386.
  On FreeBSD, it built, but deskutils/cdcat choked on it while building on
  FreeBSD 10/i386 and FreeBSD 11/i386.

  PR:		192199
  Fix from:	pkgsrc security/crypto++
  Discussed:	NetBSD GNATS 48134
  Approved by:	delphi@

Changes:
  head/security/cryptopp/Makefile
  head/security/cryptopp/files/patch-config.h
Comment 7 commit-hook freebsd_committer 2014-07-30 07:11:45 UTC
A commit references this bug:

Author: marino
Date: Wed Jul 30 07:11:05 UTC 2014
New revision: 363449
URL: http://svnweb.freebsd.org/changeset/ports/363449

Log:
  deskutils/cdcat: Unbreak

  PR:		192199
  Submitted by:	Ports Fury

Changes:
  head/deskutils/cdcat/Makefile
Comment 8 John Marino freebsd_committer 2014-07-30 07:19:00 UTC
Okay, I mailed Wei Dai.
Thanks guys!